/*
 * Box.java
 *
 * Created on 20 de Setembro de 2001, 23:18
 */

/**
 *
 * @author  jorge
 * @version 
 */
public class Box {

    public Vertice[] vertices;
    public Aresta[] arestas;
    public Poligono[] poligonos;
    
    /** Creates new Box */
    public Box(int x0, int y0, int x1, int y1, int zfront, int zback) {
        //iniVectores(8, 12, 6);
        vertices = new Vertice[8];
        arestas = new Aresta[12];
        poligonos = new Poligono[6];
        
        // define vertices
        vertices[0]=new Vertice(x0, y0, zfront);
        vertices[1]=new Vertice(x0, y0, zback);
        vertices[2]=new Vertice(x0, y1, zfront);
        vertices[3]=new Vertice(x0, y1, zback);
        vertices[4]=new Vertice(x1, y0, zfront);
        vertices[5]=new Vertice(x1, y0, zback);
        vertices[6]=new Vertice(x1, y1, zfront);
        vertices[7]=new Vertice(x1, y1, zback);
        
        
        // define arestas
        arestas[0] = new Aresta(vertices[0],vertices[4]);
        arestas[1] = new Aresta(vertices[0],vertices[1]);
        arestas[2] = new Aresta(vertices[0],vertices[2]);
        arestas[3] = new Aresta(vertices[4],vertices[6]);
        arestas[4] = new Aresta(vertices[4],vertices[5]);
        arestas[5] = new Aresta(vertices[1],vertices[5]);
        arestas[6] = new Aresta(vertices[1],vertices[3]);
        arestas[7] = new Aresta(vertices[5],vertices[7]);
        arestas[8] = new Aresta(vertices[2],vertices[6]);
        arestas[9] = new Aresta(vertices[2],vertices[3]);
        arestas[10]= new Aresta(vertices[3],vertices[7]);
        arestas[11]= new Aresta(vertices[6],vertices[7]);
        
        // define poligonos
        poligonos[0] = new Poligono(arestas[0],arestas[2],arestas[3],arestas[8]);
        poligonos[1] = new Poligono(arestas[5],arestas[6],arestas[7],arestas[10]);
        poligonos[2] = new Poligono(arestas[3],arestas[4],arestas[7],arestas[11]);
        poligonos[3] = new Poligono(arestas[1],arestas[2],arestas[6],arestas[9]);
        poligonos[4] = new Poligono(arestas[8],arestas[9],arestas[10],arestas[11]);
        poligonos[5] = new Poligono(arestas[0],arestas[1],arestas[4],arestas[5]);
        
    }

}
